# struct objectName

Contain information about a tablename. More...

Full name | `toConnection::objectName`
Definition | `#include <toconnection.h>`
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- objectName (const QString &owner,const QString &name,const QString &type=QString("TABLE"),const QString &comment=QString::null)
- objectName ()
- bool operator < (const objectName &) const
- bool operator == (const objectName &) const

#### Public Members

- QString Name
- QString Owner
- QString Type
- QString Comment
- std::list <QString> Synonyms

## Detailed Description

Contain information about a tablename.

QString Name

### Name

QString Owner

### Owner

QString Type

### Type

QString Comment

### Comment

std::list <QString> Synonyms

### Synonyms

objectName (const QString &owner,const QString &name,const QString &type=QString("TABLE"),const QString &comment=QString::null)

### objectName

Create an object name with filled in values.

objectName ()

### objectName

Create an empty object name.

bool operator < (const objectName &)

### operator <

[const]

bool operator == (const objectName &)

### operator ==

[const]

Generated by: nneul on skyhawk on Wed Feb 23 19:49:58 2005, using kdoc 2.0a54.